
// All Form Elements
label,
button,
input,
optgroup,
select,
textarea {
  color: $color-text-normal;
  font: inherit;
  margin: 0;
  border-radius: 0;
  transition: .3s all;
}

// Inputs
[type="text"],
[type="email"],
[type="password"],
[type="tel"],
[type="number"],
[type="date"],
[type="search"] {
  height: $input-height;
  padding: 8px;
  background-color: $input-background-color;
  border: $input-border-size solid $input-border-color;
  border-radius: $input-border-radius;
  &:focus {
    background-color: $input-background-focus-color;
    border-color: $input-border-focus-color;
    outline: 0;
  }
}

// Textarea
textarea {
  padding: 15px;
  background-color: $color-bg-page;
  border: 3px solid $color-bg-page;
  border-radius: 10px;
  overflow: auto;
  width: 100%;
  max-width: 800px;
  /* border-color: #141d26; */
  &:focus {
    color: $color-bg-page;
    background-color: $white;
    border: 3px solid $accent-color;
    outline: 0;
  }
}

// Select
select {
  text-transform: none;
  height: $input-height;
  padding: 0 8px;
  background-color: $input-background-color;
  border: $input-border-size solid $input-border-color;
  border-radius: $input-border-radius;
  &:focus {
    background-color: $input-background-focus-color;
    border-color: $input-border-focus-color;
    outline: 0;
  }
}

// Buttons
button {
  border-radius: 10px;
  border: none;
  background-color: $accent-color;
  font-family: "Poppins", sans-serif;
  font-weight: bold;
  overflow: visible;
  text-transform: none;
  cursor: pointer;

  padding: 10px 83px;
  transition: 300ms;

  &:hover {
    background-color: darken($accent-color, 10%);
    transition: 300ms;
  }
}

.disabled,
[disabled] {
  opacity: .4;
  user-select: none;
  pointer-events: none;
  cursor: not-allowed;
}

// Placeholders
::placeholder { color: $input-placeholder-color; }